Skip to main content
GET
/
api
/
v1
/
access-control
/
role-presets
List role presets
curl --request GET \
  --url https://api.rigbox.dev/api/v1/access-control/role-presets \
  --header 'Authorization: Bearer <token>'
{
  "presets": [
    {
      "match_tag_keys": [
        "<string>"
      ],
      "permissions": [
        "<string>"
      ],
      "required_resource_tags": {},
      "role": "<string>",
      "scope_kind": "<string>",
      "system_managed": true,
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

scope_kind
string

Optional role preset scope

Response

200 - application/json

Role presets

presets
object[]
required